> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bodhveda.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a catalog entry

> Update a catalog entry's label and default. The natural key (`channel`/`topic`/`event`/`medium`) is immutable.

Update a catalog entry's `label` and `default_enabled`. The natural key (`channel`/`topic`/`event`/`medium`) is immutable — to change it, delete the entry and create a new one.


## OpenAPI

````yaml PATCH /preferences/{preference_id}
openapi: 3.0.3
info:
  title: Bodhveda Notifications API
  version: '1.0'
  description: API for sending notifications to recipients or broadcasting to all.
servers: []
security: []
paths:
  /preferences/{preference_id}:
    patch:
      tags:
        - Project Preferences
      summary: Update a catalog entry
      description: >-
        Update a catalog entry's label and default. The natural key
        (`channel`/`topic`/`event`/`medium`) is immutable.
      operationId: updateProjectPreference
      parameters:
        - name: preference_id
          in: path
          required: true
          schema:
            type: integer
          description: The catalog entry's ID.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectPreferencePayload'
      responses:
        '200':
          description: The updated catalog entry.
          content:
            application/json:
              examples:
                Updated:
                  summary: Updated Response
                  value:
                    message: Project preference updated
                    data:
                      id: 12
                      project_id: 1
                      target:
                        channel: digest
                        topic: none
                        event: sent
                      medium: email
                      default_enabled: false
                      label: Weekly digest
                      created_at: '2025-11-07T05:31:56Z'
                      updated_at: '2025-11-07T06:00:00Z'
        '404':
          description: No catalog entry with this ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuthWithAPIKeyWithFullAcessScope: []
components:
  schemas:
    UpdateProjectPreferencePayload:
      type: object
      description: >-
        Updates a catalog entry's label and default. The natural key
        (`channel`/`topic`/`event`/`medium`) is immutable.
      properties:
        label:
          type: string
        default_enabled:
          type: boolean
      required:
        - label
        - default_enabled
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        details:
          type: string
  securitySchemes:
    BearerAuthWithAPIKeyWithFullAcessScope:
      type: http
      scheme: bearer
      bearerFormat: APIKey
      description: >-
        Bearer authentication header of the form `Bearer bv_xxxxxxxxx`, where
        `bv_xxxxxxxxx` is your **API Key** with `Full access` scope.

````